# SimpleFileFetcher (Crawler-commons 0.7 API)
Date: 2016-11-21

crawlercommons.fetcher.file

## Class SimpleFileFetcher

- java.lang.Object
- - crawlercommons.fetcher.BaseFetcher
  - - crawlercommons.fetcher.file.SimpleFileFetcher

All Implemented Interfaces:
  Serializable

Deprecated.
As of release 0.6.

    @Deprecated
    public class SimpleFileFetcher
    extends BaseFetcher

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class crawlercommons.fetcher.BaseFetcher

`_defaultMaxContentSize, _maxContentSizes, _validMimeTypes, DEFAULT_MAX_CONTENT_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SimpleFileFetcher()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `abort()` Deprecated. Terminate any async request being processed.
`FetchedResult` `get(String url, Payload payload)` Deprecated. Get the content stored in the resource referenced by the 'url' parameter.

### Methods inherited from class crawlercommons.fetcher.BaseFetcher

`addValidMimeType, addValidMimeTypes, get, getDefaultMaxContentSize, getMaxContentSize, getMimeTypeFromContentType, getValidMimeTypes, setDefaultMaxContentSize, setMaxContentSize, setValidMimeTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleFileFetcher

    public SimpleFileFetcher()

Deprecated.

### Method Detail

#### get

    public FetchedResult get(String url,
                             Payload payload)
                      throws BaseFetchException

Deprecated.
Description copied from class: `BaseFetcher`
Get the content stored in the resource referenced by the 'url' parameter.

Specified by:
  `get` in class `BaseFetcher`
Parameters:
  `url` - a string url for which to get content
  `payload` - a populated `Payload`
Returns:
  the `FetchedResult` associated with the URL
Throws:
  `BaseFetchException` - if an error results from fetching the url.

#### abort

    public void abort()

Deprecated.
Description copied from class: `BaseFetcher`
Terminate any async request being processed.

Specified by:
  `abort` in class `BaseFetcher`